version: '3'

services:
  server:
    image: registry.gitlab.com/starkingdoms.tk/starkingdoms.tk:server-{{ version }}
    depends_on:
      - api
      - postgres
    ports:
      - {{ ws_port }}:3000
    environment:
      - "STK_API_KEY={{ api_key }}"
      - "STK_API_URL=http://api:8080"
  api:
    image: registry.gitlab.com/starkingdoms.tk/starkingdoms.tk:api-{{ version }}
    depends_on:
      - postgres
    ports:
      - {{ api_port }}:8080
    volumes:
      - {{ api_config_dir }}:/etc/starkingdoms
  web:
    image: registry.gitlab.com/starkingdoms.tk/starkingdoms.tk:web-{{ version }}
    ports:
      - {{ web_port }}:80
  postgres:
    # docker run --name basic-postgres --rm -e POSTGRES_USER=postgres -e POSTGRES_PASSWORD=4y7sV96vA9wv46VR -e PGDATA=/var/lib/postgresql/data/pgdata -v /tmp:/var/lib/postgresql/data -p 5432:5432 -it postgres:14.1-alpine
    image: postgres:14.1-alpine
    environment:
      - POSTGRES_DB={{ db_name }}
      - PGDATA=/var/lib/postgresql/data/pgdata
      - POSTGRES_HOST_AUTH_METHOD=trust
    volumes:
      - {{ db_data_dir }}:/var/lib/postgresql/data